<?php if (!defined('APPLICATION')) exit();



$PluginInfo['LatestComment'] = array(
'Description' => 'Changes the discussions meta information to display "Most recent by" and comment count only when needed.',
'Name' => 'Latest Comment',
'Version' => '1.0',
'RequiredApplications' => array('Vanilla' => '2.2'),
'RequiredTheme' => false,
'HasLocale' => false,
'License' => 'GNU GPL2',
'SettingsPermission' => 'Garden.Settings.Manage',
'Author' => "André A. B.",
'AuthorUrl' => 'godotdevelopers.org'
);



class LatestCommentPlugin extends Gdn_Plugin {
	
	public function discussionsController_render_before($Sender) {
		
		$Sender->addCssFile('latestcomment.css', 'plugins/LatestComment');
        
    }
    
    
    //remove #latest from post
    public function DiscussionsController_BeforeDiscussionName_Handler($Sender){
        
        $Sender->EventArguments['DiscussionUrl'] = substr( $Sender->EventArguments['DiscussionUrl'], 0, -7);
        
        
        
    }
    
    
    //Add meta info
    public function DiscussionsController_AfterCountMeta_Handler($Sender) {
        
        if($Sender->EventArguments['Discussion']->CountComments>0){
            
            echo'<span class="MItem MCount CommentCounting">';
            
            printf(PluralTranslate($Sender->EventArguments['Discussion']->CountComments,
            '%s comment html', '%s comments html', t('%s comment'), t('%s comments')),
            BigPlural($Sender->EventArguments['Discussion']->CountComments, '%s comment'));
            
            echo '</span>';
            
        }
        
        
        
        if($Sender->EventArguments['Discussion']->LastCommentID != ''){
            
            
            echo ' <span class="MItem LastComment">'.'<a href="'.$Sender->EventArguments['DiscussionUrl'].'#latest'.'">Most recent by</a> '.userAnchor($Sender->EventArguments['LastUser']).'</span>';
            
        }
        
        echo '<span class="Bullet">•</span>';
        
        
    }
    
    
    
}